You are not logged in.

#1 2021-12-17 15:34:52

bartus
Member
Registered: 2013-05-13
Posts: 41

Repo coherency e.i. oneTBB.

Doesn't Arch have any cooldown time for new package landing in the repo, preventing repo decoherence when dependency got updated but packages relying on those still expect deprecated features? I know there's one for link-time dependencies mainly `sogrep` but lately, after `tbb:2021` has landed in repo some packages shipped in Arch repo still have references to dropped `tbb::atmoic` in their headers e.g: usd, cgal.

Offline

#2 2021-12-17 17:24:44

lahwaacz
Wiki Admin
From: Czech Republic
Registered: 2012-05-29
Posts: 711

Re: Repo coherency e.i. oneTBB.

Arch's cgal package is heavily outdated at its current version 4.14.3... And CGAL even considers its dependency on TBB as optional. Do you have a better example?

Offline

#3 2021-12-17 17:26:32

mpan
Member
Registered: 2012-08-01
Posts: 827
Website

Re: Repo coherency e.i. oneTBB.

If a package on a properly updated system is broken, because it requires an older version of a dependency or a dependency that doesn’t exist in the repos, that is a bug and should be reported, so the maintainers could fix it. In particular if a dependency has been dropped, but a package still depends on it, it’s an omission that should be addressed.

Repos containing older versions would not solve that problem, as there would be no way to install them without causing a partial upgrade.


Sometimes I seem a bit harsh — don’t get offended too easily! PGP: 7C848198AE93D3BB

Offline

#4 2021-12-17 17:33:25

progandy
Member
Registered: 2012-05-17
Posts: 4,895

Re: Repo coherency e.i. oneTBB.

lahwaacz wrote:

Arch's cgal package is heavily outdated at its current version 4.14.3...

As of today, there is a rebuild in community-testing for that package.

The next prusa-slicer release (2.4) will probably allow the upgrade to cgal 5.x, though. openscad should support building with the new cgal already.

No idea what happened with tbb, though. Most packages that depend on it were rebuilt ~2 weeks ago.
Edit: "Prepare for Python 3.10 rebuild" is in the git for usd. The overlap with that might have caused this oversight.

Last edited by progandy (2021-12-17 17:38:18)


| alias CUTF='LANG=en_XX.UTF-8@POSIX ' |

Offline

#5 2021-12-17 18:54:37

lahwaacz
Wiki Admin
From: Czech Republic
Registered: 2012-05-29
Posts: 711

Re: Repo coherency e.i. oneTBB.

W.r.t. what happened to tbb: some of its updates were likely not pushed to the repo by, since the database from 2021/11/29 contains tbb-2020.3-1, but the git repo contains 4 more versions before the tbb-2021.4.0-2 hit the repo due to the Python 3.10 rebuild. I guess it was by mistake and the breakage due to tbb is just because "the version jumped too much"...

Offline

#6 2021-12-17 23:11:02

Scimmia
Fellow
Registered: 2012-09-01
Posts: 9,226

Re: Repo coherency e.i. oneTBB.

Since the OP doesn't seem to be doing it, I'll just point out that the complaint in this thread is invalid.

https://bugs.archlinux.org/task/73063

Online

#7 2021-12-17 23:34:32

bartus
Member
Registered: 2013-05-13
Posts: 41

Re: Repo coherency e.i. oneTBB.

Scimmia wrote:

...complaint in this thread is invalid.


Yes, sorry for the confusion, it was my bug report witch I too hastily asserted to be cgal fault.

Besides that I assume there's no contingency plan other than relying on the bug reports

Last edited by bartus (2021-12-17 23:38:34)

Offline

Board footer

Powered by FluxBB